<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: DetectorConstruction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>DetectorConstruction Class Reference</h1><!-- doxytag: class="DetectorConstruction" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Builds the simulated setup, using functions inherited from G4VUserDetectorConstruction.  
</p>

<p><a href="classDetectorConstruction-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#ab8ea1647d68907827c665191d8d77448">DetectorConstruction</a> (<a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *simulationMessenger)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a73013cab35a2b470338da2e4686edea3">~DetectorConstruction</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a662c618480b345a747f014b845d5ffdf">Construct</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a0499808f06e47ea0b9d44587c8dd080e">DefineElements</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a675f7c7ad9366996c83a246fb98a8c45">DefineMaterialProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a5c3bcd347659ea1931b858bc128c54a2">DefineMaterials</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDetectorConstruction.html#a7747b96cef8526dc5e8511a2625185ce">DefineVariables</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab8ea1647d68907827c665191d8d77448"></a><!-- doxytag: member="DetectorConstruction::DetectorConstruction" ref="ab8ea1647d68907827c665191d8d77448" args="(SimulationMessenger *simulationMessenger)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DetectorConstruction::DetectorConstruction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *&nbsp;</td>
          <td class="paramname"> <em>simulationMessenger</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>simulationMessenger</em>&nbsp;</td><td>class storing and providing variables which are needed in different parts of the simulation. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a73013cab35a2b470338da2e4686edea3"></a><!-- doxytag: member="DetectorConstruction::~DetectorConstruction" ref="a73013cab35a2b470338da2e4686edea3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DetectorConstruction::~DetectorConstruction </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor:</p>
<ul>
<li>deletes the objects, that have been created and will NOT automatically be created by Geant4 </li>
</ul>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a662c618480b345a747f014b845d5ffdf"></a><!-- doxytag: member="DetectorConstruction::Construct" ref="a662c618480b345a747f014b845d5ffdf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume * DetectorConstruction::Construct </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to create the simulation setup and register it to Geant4:</p>
<ul>
<li>will be called by Geant4 in the initialisation process and <b> has to create materials and volumes as well as to return the pointer to the world volume (the volume that contains all other volumes) </b></li>
<li>calls <a class="el" href="classDetectorConstruction.html#a7747b96cef8526dc5e8511a2625185ce">DefineVariables()</a>, <a class="el" href="classDetectorConstruction.html#a0499808f06e47ea0b9d44587c8dd080e">DefineElements()</a>, <a class="el" href="classDetectorConstruction.html#a5c3bcd347659ea1931b858bc128c54a2">DefineMaterials()</a>, and <a class="el" href="classDetectorConstruction.html#a675f7c7ad9366996c83a246fb98a8c45">DefineMaterialProperties()</a>.</li>
<li>creates the setup that is defined inside and registers it to Geant4 </li>
</ul>

<p><p>---------- scintillator tile ----------///</p>
<p>---------- SiPM ----------///</p>
<p>---------- external reflector / wrapping ----------///</p>
<p>&gt;&gt;&gt; Setup: 1 glued fibre with 1 SiPM and a reflective end &lt;&lt;&lt; ///</p>
<p>---------- scintillator tile ----------///</p>
<p>---------- fibre ----------///</p>
<p>---------- SiPM ----------///</p>
<p>---------- external reflector / wrapping ----------///</p>
<p>&gt;&gt;&gt; Setup: 1 glued sigma fibre with 1 SiPM and a reflective end &lt;&lt;&lt; ///</p>
<p>---------- scintillator tile ----------///</p>
<p>---------- fibre ----------///</p>
<p>---------- SiPM ----------///</p>
<p>---------- external reflector / wrapping ----------/// </p>
</p>

</div>
</div>
<a class="anchor" id="a0499808f06e47ea0b9d44587c8dd080e"></a><!-- doxytag: member="DetectorConstruction::DefineElements" ref="a0499808f06e47ea0b9d44587c8dd080e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DetectorConstruction::DefineElements </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to create chemical elements and register them to Geant4:</p>
<ul>
<li>creates hydrogen, carbon, nitrogen, oxygen, fluorine, aluminum, and titanium</li>
<li><b> if other chemical elements are needed for the simulation, they have to be defined here </b> </li>
</ul>

</div>
</div>
<a class="anchor" id="a675f7c7ad9366996c83a246fb98a8c45"></a><!-- doxytag: member="DetectorConstruction::DefineMaterialProperties" ref="a675f7c7ad9366996c83a246fb98a8c45" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DetectorConstruction::DefineMaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set material properties and register them to Geant4. </p>

</div>
</div>
<a class="anchor" id="a5c3bcd347659ea1931b858bc128c54a2"></a><!-- doxytag: member="DetectorConstruction::DefineMaterials" ref="a5c3bcd347659ea1931b858bc128c54a2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DetectorConstruction::DefineMaterials </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to create materials and register them to Geant4. </p>

</div>
</div>
<a class="anchor" id="a7747b96cef8526dc5e8511a2625185ce"></a><!-- doxytag: member="DetectorConstruction::DefineVariables" ref="a7747b96cef8526dc5e8511a2625185ce" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void DetectorConstruction::DefineVariables </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function for the initialisation of variables. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
